Loading...
Searching...
No Matches
Qore::AbstractPollableIoObject Class Referenceabstract

This interfaces declares that the inheriting class supports a pollable file descriptor. More...

`#include <QC_AbstractPollableIoObject.dox.h>`

Inheritance diagram for Qore::AbstractPollableIoObject:
[legend]

## Public Member Functions

abstract int | getPollableDescriptor ()
| Returns a pollable file / socket / I/O descriptor.

## Detailed Description

This interfaces declares that the inheriting class supports a pollable file descriptor.

Since
  Qore 1.12

## Member Function Documentation

## getPollableDescriptor()

abstract int Qore::AbstractPollableIoObject::getPollableDescriptor | ( |  | ) |

pure virtual

Returns a pollable file / socket / I/O descriptor.

Returns
  a pollable file / socket / I/O descriptor

Implemented in Qore::AbstractPollableIoObjectBase.